package com.yidianling.muse;

import android.content.Context;
import android.graphics.Color;

import com.wx.wheelview.adapter.ArrayWheelAdapter;
import com.wx.wheelview.widget.WheelView;

import java.util.ArrayList;
import java.util.List;

public class MeditationWheelViewUtil {

    private List<String> hours = new ArrayList<>();
    private List<String> minutes = new ArrayList<>();

    public void initWheelView(Context context, WheelView wheelViewH, int selectionH, WheelView wheelViewM, int selectionM) {

        createHours();
        createMinutes();

        wheelViewH.setWheelAdapter(new ArrayWheelAdapter(context));
        wheelViewH.setWheelData(hours);
        WheelView.WheelViewStyle style = new WheelView.WheelViewStyle();
        style.textColor = Color.parseColor("#80FFFFFF");
        style.selectedTextColor = Color.parseColor("#FFFFFF");
        style.textSize = 30;
        style.backgroundColor = Color.parseColor("#00000000");
        style.selectedTextSize = 32;
        style.selectedTextZoom = 1.2f;
        wheelViewH.setStyle(style);
        wheelViewH.setExtraText("小时", Color.parseColor("#FFFFFFFF"), 50, 120);

        wheelViewH.setSelection(selectionH);

        wheelViewM.setWheelAdapter(new ArrayWheelAdapter(context));
        wheelViewM.setWheelData(minutes);
        wheelViewM.setStyle(style);
        wheelViewM.setExtraText("分钟", Color.parseColor("#FFFFFFFF"), 50, 120);

        wheelViewM.setSelection(selectionM);
    }

    public void minuteRule(WheelView wh,WheelView wm){

        wh.setOnWheelItemSelectedListener((position, o) -> {
            if (position == 0 && wh.getCurrentPosition()==0){
                wm.setSelection(1);
            }
        });

        wm.setOnWheelItemSelectedListener((position, o) -> {
            if (position == 0 && wh.getCurrentPosition()==0){
                wm.setSelection(1);
            }
        });



    }

    private void createHours() {
        for (int i = 0; i < 24; i++) {
            hours.add("" + i);
        }
    }

    private void createMinutes() {
        for (int i = 0; i < 60; i += 5) {
            if (i < 10) {
                minutes.add("0" + i);
            } else {
                minutes.add("" + i);
            }
        }
    }

}
