package com.yidianling.muse.activity

import android.content.Intent
import android.os.Bundle
import com.blankj.utilcode.util.SPUtils
import com.ydl.ydlcommon.base.BaseActivity
import com.ydl.ydlcommon.bean.StatusBarOptions
import com.ydl.ydlcommon.utils.StatusBarUtils
import com.ydl.ydlcommon.utils.remind.ToastHelper
import com.yidianling.muse.MeditationWheelViewUtil
import com.yidianling.muse.R
import kotlinx.android.synthetic.main.activity_play_meditation_time_off.*

class MeditationTimeOffActivity : BaseActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        StatusBarUtils.setTransparentForImageView(this, null)
        StatusBarUtils.statusBarLightMode(this)
        super.onCreate(savedInstanceState)

        initView()
    }

    private fun initView() {
        iv_close?.setOnClickListener { finish() }

        tv_save_setting?.setOnClickListener {
            ToastHelper.show("保存设置")
            val hour = wheel_view_hour.selectionItem
            val minute = wheel_view_minute.selectionItem

            val selectedHour = wheel_view_hour.currentPosition
            val selectedMinute = wheel_view_minute.currentPosition

            SPUtils.getInstance().put("SELECT_H",selectedHour)
            SPUtils.getInstance().put("SELECT_M",selectedMinute)

            val intent = Intent()
            if (hour is String && minute is String){
                val minute = (hour.toInt()*60).plus(minute.toInt())
                intent.putExtra("TIME_OFF_MINUTE", minute)
            }
            setResult(RESULT_OK, intent)
            finish()
        }

        tv_cancel_time_off?.setOnClickListener {
            ToastHelper.show("关闭定时")
            SPUtils.getInstance().put("SELECT_H",0)
            SPUtils.getInstance().put("SELECT_M",1)
            val intent = Intent()
            intent.putExtra("TIME_OFF_MINUTE", 0)
            setResult(RESULT_OK, intent)
            finish()
        }

        initWheel()

    }

    private fun initWheel() {
        val selectionH = SPUtils.getInstance().getInt("SELECT_H",0)
        val selectionM = SPUtils.getInstance().getInt("SELECT_M",1)
        MeditationWheelViewUtil().initWheelView(this, wheel_view_hour,selectionH, wheel_view_minute,selectionM)

        MeditationWheelViewUtil().minuteRule(wheel_view_hour,wheel_view_minute)
    }

    override fun getStatusViewOptions(): StatusBarOptions {
        return StatusBarOptions(true, false)
    }

    override fun initDataAndEvent() {

    }

    override fun layoutResId(): Int {
        return R.layout.activity_play_meditation_time_off
    }

}