package com.yidianling.home.http

import com.ydl.ydlcommon.base.config.YDL_DOMAIN
import com.ydl.ydlcommon.base.config.YDL_DOMAIN_JAVA
import com.ydl.ydlcommon.data.http.BaseAPIResponse
import com.ydl.ydlcommon.data.http.BaseResponse
import com.yidianling.muse.bean.CollectResultModule
import com.yidianling.muse.bean.MeditationPlayModuleBean
import com.yidianling.muse.bean.MuseModuleBean
import io.reactivex.Observable
import retrofit2.http.*

/**
 * @author jiucheng
 * @描述:首页接口api
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/8/22
 */
interface MusePagerApi {

    //壹点 - 冥想
    @GET("meditation/meditation/list")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getMuseData(): Observable<BaseAPIResponse<MuseModuleBean>>


    /**
     * 声音播放详情页
     */
    @GET("cms/meditation/mditatiPlayDetail")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getPureMusicPlayDetail(
        @Query("meditionType") meditionType: Int = 0,
        @Query("mditationId") mditationId: Long
    ): Observable<BaseAPIResponse<MeditationPlayModuleBean>>

    /**
     * 冥想播放详情页
     */
    @GET("cms/meditation/mditatiPlayDetail")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getMeditationPlayDetail(
        @Query("meditionType") meditionType: Int = 1,
        @Query("mediaId") mediaId: Long,
        @Query("meditationId") meditationId: Long
    ): Observable<BaseAPIResponse<MeditationPlayModuleBean>>

    /**
     * 声音播放详情页
     */
    @POST("cms/meditation/collect")
    fun collectMeditation(@FieldMap params: Map<String, String>
    ): Observable<BaseResponse<CollectResultModule>>


}